Resources
AGH Resources HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
/api/resourcesQuery Parameters
Filter by resource kind
Filter by resource scope kind
"global" | "workspace"Filter by workspace scope id
Filter by stamped owner kind
Filter by stamped owner id
Filter by stamped source kind
Filter by stamped source id
Maximum number of records to return
int32Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/resources"{
"records": [
{
"created_at": "2019-08-24T14:15:22Z",
"id": "string",
"kind": "string",
"owner": {
"id": "string",
"kind": "string"
},
"scope": {
"id": "string",
"kind": "global"
},
"source": {
"id": "string",
"kind": "string"
},
"spec": null,
"updated_at": "2019-08-24T14:15:22Z",
"version": 0
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/resources/{kind}Path Parameters
Resource kind
Query Parameters
Filter by resource scope kind
"global" | "workspace"Filter by workspace scope id
Filter by stamped owner kind
Filter by stamped owner id
Filter by stamped source kind
Filter by stamped source id
Maximum number of records to return
int32Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/resources/string"{
"records": [
{
"created_at": "2019-08-24T14:15:22Z",
"id": "string",
"kind": "string",
"owner": {
"id": "string",
"kind": "string"
},
"scope": {
"id": "string",
"kind": "global"
},
"source": {
"id": "string",
"kind": "string"
},
"spec": null,
"updated_at": "2019-08-24T14:15:22Z",
"version": 0
}
]
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/resources/{kind}/{id}Path Parameters
Resource kind
Resource id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/resources/string/string"{
"record": {
"created_at": "2019-08-24T14:15:22Z",
"id": "string",
"kind": "string",
"owner": {
"id": "string",
"kind": "string"
},
"scope": {
"id": "string",
"kind": "global"
},
"source": {
"id": "string",
"kind": "string"
},
"spec": null,
"updated_at": "2019-08-24T14:15:22Z",
"version": 0
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/resources/{kind}/{id}Path Parameters
Resource kind
Resource id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/resources/string/string" \ -H "Content-Type: application/json" \ -d '{ "expected_version": 0 }'{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}/api/resources/{kind}/{id}Path Parameters
Resource kind
Resource id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/resources/string/string" \ -H "Content-Type: application/json" \ -d '{ "scope": { "kind": "global" }, "spec": null }'{
"record": {
"created_at": "2019-08-24T14:15:22Z",
"id": "string",
"kind": "string",
"owner": {
"id": "string",
"kind": "string"
},
"scope": {
"id": "string",
"kind": "global"
},
"source": {
"id": "string",
"kind": "string"
},
"spec": null,
"updated_at": "2019-08-24T14:15:22Z",
"version": 0
}
}{
"record": {
"created_at": "2019-08-24T14:15:22Z",
"id": "string",
"kind": "string",
"owner": {
"id": "string",
"kind": "string"
},
"scope": {
"id": "string",
"kind": "global"
},
"source": {
"id": "string",
"kind": "string"
},
"spec": null,
"updated_at": "2019-08-24T14:15:22Z",
"version": 0
}
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}{
"diagnostic": {
"category": "string",
"code": "string",
"data_freshness": "string",
"doc_url": "string",
"evidence": {
"property1": null,
"property2": null
},
"id": "string",
"message": "string",
"severity": "string",
"suggested_command": "string",
"title": "string"
},
"error": "string"
}